/*
 * Copyright 2010 - org.tinyjee.maven
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

package org.tinyjee.maven.dim;

import org.tinyjee.maven.dim.backport.ServiceLoader;

import java.util.Map;

/**
 * Is a service interface that allows to plug parameter transformers.
 *
 * @author Juergen_Kellerer, 2010-09-08
 * @version 1.0
 */
public interface RequestParameterTransformer {

	/**
	 * Is an iterable over all transformers within the classpath.
	 */
	Iterable<RequestParameterTransformer> TRANSFORMERS = ServiceLoader.load(RequestParameterTransformer.class);

	/**
	 * Transforms the specified request parameters.
	 *
	 * @param requestParams the request params to modify.
	 */
	void transformParameters(Map<String, Object> requestParams);
}
